// <uniquifier>: Use a unique and descriptive class name
// <weight>: Use a value from 300 to 800

.open-sans-<uniquifier> {
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
}

#fs-frm input,
#fs-frm select,
#fs-frm textarea,
#fs-frm fieldset,
#fs-frm optgroup,
#fs-frm label,
#fs-frm #card-element:disabled {
  font-family: inherit;
  font-size: 100%;
  color: inherit;
  border: none;
  border-radius: 0;
  display: block;
width: 100%;
  padding: 0;
  margin: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  box-sizing: border-box;
  resize: vertical;
}
#fs-frm label,
#fs-frm legend,
#fs-frm ::placeholder {
  font-size: .825rem;
  margin-bottom: .5rem;
  padding-top: .2rem;
  display: flex;
  align-items: baseline;
}

/* border, padding, margin, width */
#fs-frm input,
#fs-frm select,
#fs-frm textarea,
#fs-frm #card-element {
  border: 1px solid rgba(0,0,0,0.2);
  background-color: rgba(255,255,255,0.9);
  padding: .75em 1rem;
  margin-bottom: 1.5rem;
}
#fs-frm input:focus,
#fs-frm select:focus,
#fs-frm textarea:focus {
  background-color: white;
  outline-style: solid;
  outline-width: thin;
  outline-color: gray;
  outline-offset: -1px;
}
#fs-frm [type="text"],
#fs-frm [type="email"] {
  width: 100%;
}
#fs-frm [type="button"],
#fs-frm [type="submit"],
#fs-frm [type="reset"] {
  width: auto;
  cursor: pointer;
  -webkit-appearance: button;
  -moz-appearance: button;
  appearance: button;
}
#fs-frm [type="button"]:focus,
#fs-frm [type="submit"]:focus,
#fs-frm [type="reset"]:focus {
  outline: none;
}
#fs-frm [type="submit"],
#fs-frm [type="reset"] {
  margin-bottom: 0;
}
#fs-frm select {
  text-transform: none;
}

#fs-frm [type="checkbox"] {
  -webkit-appearance: checkbox;
  -moz-appearance: checkbox;
  appearance: checkbox;
  display: inline-block;
  width: auto;
  margin: 0 .5em 0 0 !important;
}

#fs-frm [type="radio"] {
  -webkit-appearance: radio;
  -moz-appearance: radio;
  appearance: radio;
}

/* address, locale */
#fs-frm fieldset.locale input[name="city"],
#fs-frm fieldset.locale select[name="state"],
#fs-frm fieldset.locale input[name="postal-code"] {
  display: inline;
}
#fs-frm fieldset.locale input[name="city"] {
  width: 52%;
}
#fs-frm fieldset.locale select[name="state"],
#fs-frm fieldset.locale input[name="postal-code"] {
  width: 20%;
}
#fs-frm fieldset.locale input[name="city"],
#fs-frm fieldset.locale select[name="state"] {
  margin-right: 3%;
}


body {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
   
    
}

.wrapper {
   
}

header {
    display: flex;

    justify-content: space-between;
    flex-direction: row;
align-items: center;
margin-left: 11vw;
    margin-right: 11vw;
    margin-top: 3vh;
    padding-bottom: 3vh;
    gap: 10vw;
  box-sizing: border-box;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    

    
}
.footer {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    margin-left: 11vw;
    margin-right: 11vw;
    margin-top: 3vh;
    padding-top: 3vh;
  margin-bottom: 3vh;
    gap: 10vw;
    box-sizing: border-box;
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    

    
}

.links {
    display: flex;
    flex-direction: row;

    align-items: center;
    gap: 5vw;
    
}

.logo {


    height: 7vh;




    
}
.logo_test{
    position: absolute;
  height: 7vh;
  top: 0;
  left: 0;
  margin-left: 11vw;
  margin-top: 3vh;
  

  box-sizing: border-box;
}

.logo_test01{
    position: absolute;
  height: 7vh;
  bottom: 0;
  left: 0;
  margin-left: 11vw;
  margin-top: 3vh;
  border: solid red;

  box-sizing: border-box;
}




.logo_alt {
    height: 7vh;
  box-sizing: border-box;


 
    
}

.logo_test:Hover{
opacity: 0;
}

.logo_test01:Hover{


opacity: 0;
}




.section_01 {



}
.section_02 {
  display: flex;
flex-direction: column;
  align-items: center;
  padding-left: 11vw;
    padding-right: 11vw;
    padding-top: 4.1vw;
    padding-bottom: 4.1vw;
}

.section_03 {

    
    
    padding: 5vw 11vw 5vw 11vw;
    background-color: forestgreen;
}













p1 {
    font-family: "Open Sans", sans-serif;
       display: block;
    font-size: 1em;
margin: 0;
  padding: 0;
line-height: 2em;

    unicode-bidi: isolate;
}

h1 {
    font-family: "Open Sans", sans-serif;
    display: block;
    font-size: 2.5em;
margin: 0;
    font-weight: bold;
    unicode-bidi: isolate;
  
    
}

p2 {
        font-family: "Open Sans", sans-serif;
}

.portfolio {
  
    display: grid;
 
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
    padding-top: 4.1vw;
    padding-bottom: 4.1vw;
    padding-left: 11vw;
    padding-right: 11vw;
}

.portfolio_item {
 
display: flex;
 justify-content: space-between;
  
    flex-direction: column;

    box-sizing: border-box;
gap: 20px;
align-items: center;
    padding: 20px;
    border-radius: 8px;
box-shadow: 0 0 5px;
  
}

.services_item {
 
display: flex;
  
    align-items: center;
   flex-direction: column;
    box-sizing: border-box;



    gap: 10px;


  
}


.info_title {
        font-family: "Open Sans", sans-serif;
       display: block;

    margin-block-start: 0.67em;
    margin-block-end: 0.67em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    margin-bottom: 20px;
    text-align: center;
margin: 0px;
    unicode-bidi: isolate;
}

.port_img {
    width: 100%;
   height: 20vw;
object-fit: cover;
  

    display: block;
    box-sizing: border-box;
}

.serv_img {
    width: 25%;

object-fit: cover;
  

    display: block;
    box-sizing: border-box;
}

.section_04 {
      display: grid;
 
    grid-template-columns: repeat(3, 1fr);
  gap: 50px;
    padding-top: 4.1vw;
    padding-bottom: 4.1vw;
    padding-left: 11vw;
    padding-right: 11vw;
}

.contact {
       display: flex;
    flex-direction: column;

  text-align: right;
    gap: 2px;
  box-sizing: border-box;
  text-align: left;
  margin-top: 3vh;
    margin-bottom: 3vh;
  width: 100%;

}
.contact_footer {
       display: flex;
    flex-direction: column;

  text-align: right;
    gap: 2px;
  box-sizing: border-box;
 


}


.row {
  display: flex;
    flex-wrap: wrap;
    

     padding-left: 11vw;
    padding-right: 11vw;
    gap: 4px;

 
}

/* Create four equal columns that sits next to each other */
.column {
    display: flex;
    flex-direction: column;
box-sizing: border-box;
width: calc(50% - 3px);
    gap: 4px;


}

.column img {

  vertical-align: middle;
  width: 100%;
}



.full {
  
}

.fullscreen_img {
  width: 100%;
}

.button {
  background-color: forestgreen;
  color: white;
  padding: 10px;
  

}

.button:hover {
  background-color: grey;

  padding: 10px;
}

a {
  text-decoration: none;
  color: black;


}

.text {
  display: flex;
 gap: 10px;
  
    flex-direction: column;

    box-sizing: border-box;

align-items: center;

}

.header_nav:hover {
  color: forestgreen;
  
}

.section_05 {
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
    padding-left: 11vw;
    padding-right: 11vw;
   height: 50vh;
  flex-direction: column;
  text-align: center;
  gap: 25px;
  
}

.contact_form {

  display: flex;
  margin-left: 11vw;
    margin-right: 11vw;
    margin-top: 3vh;
    margin-bottom: 3vh;
  gap: 50px;


  
      border-top: 1px solid rgba(0, 0, 0, 0.2);
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  
}

#fs-frm {

  width: 100%;
  display: flex;
  flex-direction: column;

    margin-top: 3vh;
    margin-bottom: 3vh;
      font-family: "Open Sans", sans-serif;
}
.mySlides {
display:none;
  width: 100%;
  height: 100%;
 object-fit: contain;
  display: block;

    background-color: forestgreen;
  
}

.slideshow {
height: 80vh;
  padding-left: 11vw;
    padding-right: 11vw;
  box-sizing: border-box;
   
    padding-bottom: 4.1vw;
}
/* Responsive layout - makes a two column-layout instead of four columns */
@media screen and (max-width: 1000px) {
  .row {
    display: flex;
    flex-wrap: wrap;
    padding-left: 5vw;
    padding-right: 5vw;
    gap: 4px;
}
  
  .section_05 {
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    padding-left: 5vw;
    padding-right: 5vw;
    height: 50vh;
    flex-direction: column;
    text-align: center;
    gap: 25px;
}
 
    .logo_test {


margin-left: 5vw;
  


      
}
  
  

  header {


margin-left: 5vw;
    margin-right: 5vw;


      
}
  .section_02 {
  padding-left: 5vw;
    padding-right: 5vw;
}
  
  .portfolio {
  
    display: grid;
 
    grid-template-columns: repeat(2, 2fr);
    grid-gap: 20px;
    padding-top: 4.1vw;
    padding-bottom: 4.1vw;
    padding-left: 5vw;
    padding-right: 5vw;
}
  
  .section_04 {
      display: grid;
 
    grid-template-columns: repeat(3, 1fr);
  
    padding-top: 4.1vw;
    padding-bottom: 4.1vw;

}
  .slideshow {
height: 80vh;
     padding-left: 5vw;
    padding-right: 5vw;
  box-sizing: border-box;
   
    padding-bottom: 4.1vw;
}
  .section_03 {

    
    
    padding: 5vw 5vw 5vw 5vw;
    background-color: forestgreen;
}
  
  .footer {
margin-left: 5vw;
    margin-right: 5vw;
    
    

    
}
  
  
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
   p1{
    font-size: .75em;
  }
  .contact_form {
margin-left: 5vw;
    margin-right: 5vw;
    flex-direction: column;
    gap: 0;
  
}
    .footer {
margin-left: 5vw;
    margin-right: 5vw;
    font-size: .75em;
    

    
}
   .slideshow {
height: 80vh;
     padding-left: 5vw;
    padding-right: 5vw;
  box-sizing: border-box;
   
    padding-bottom: 4.1vw;
} 
  
}


